//Neopixel anschliessen an A1:rot(plus) und A2:blau(minus) an Motortreiber
//OLED anschliessen an I2C

#include <Adafruit_NeoPixel.h>
#include "Grove_Motor_Driver_TB6612FNG.h"
#include <SeeedOLED.h>
#include <Wire.h>

MotorDriver Energie;
Adafruit_NeoPixel GrowLED(16, 6, NEO_RGBW);

void setup() {
  Wire.begin();
  SeeedOled.init();
  SeeedOled.clearDisplay();
  SeeedOled.setNormalDisplay();
  SeeedOled.setPageMode();
  SeeedOled.setTextXY(0, 0);
  SeeedOled.putString("LED Test");
  Serial.begin(9600);
  Energie.init();
  GrowLED.begin();
  Energie.dcMotorRun(MOTOR_CHA, 255);
  Energie.dcMotorBrake(MOTOR_CHB);
  Serial.println("setup fertig");
}

void loop() {
  SeeedOled.clearDisplay();
  Serial.println("Alle gruen");
  SeeedOled.setTextXY(0, 0);
  SeeedOled.putString("Alle gruen");
  for (int i = 0; i < 16; i++) {
    GrowLED.setPixelColor(i, GrowLED.Color(100, 0, 0, 0));
    GrowLED.show();
  }

  delay(1000);
  SeeedOled.clearDisplay();
  Serial.println("Alle rot");
  SeeedOled.setTextXY(0, 0);
  SeeedOled.putString("Alle rot");
  for (int i = 0; i < 16; i++) {
    GrowLED.setPixelColor(i, GrowLED.Color(0, 100, 0, 0));
    GrowLED.show();
  }

  delay(1000);
  SeeedOled.clearDisplay();
  Serial.println("Alle blau");
  SeeedOled.setTextXY(0, 0);
  SeeedOled.putString("Alle blau");
  for (int i = 0; i < 16; i++) {
    GrowLED.setPixelColor(i, GrowLED.Color(0, 0, 100, 0));
    GrowLED.show();
  }

  delay(1000);
  SeeedOled.clearDisplay();
  Serial.println("Alle weiss");
  SeeedOled.setTextXY(0, 0);
  SeeedOled.putString("Alle weiss");
  for (int i = 0; i < 16; i++) {
    GrowLED.setPixelColor(i, GrowLED.Color(0, 0, 0, 100));
    GrowLED.show();
  }

  delay(1000);
}
